<div class="page-content-wrapper">
    <!-- BEGIN CONTENT BODY -->
    <div class="page-content">
        <!-- BEGIN PAGE BREADCRUMB -->
        <div class="page-bar">
            <ul class="page-breadcrumb">
                <li>
                    <i class="icon-home"></i>
                    <a href="index.html">Home</a>
                    <i class="fa fa-angle-right"></i>
                </li>
                <li>
                    <span>New Post</span>
                </li>
            </ul>
            <div class="page-toolbar">

            </div>
        </div>
        <!-- END PAGE BREADCRUMB -->
        <!-- BEGIN PAGE BASE CONTENT -->
        <div class="row">
              <div class="col-md-12">
                  <div class="portlet light bordered" id="form_wizard_1">
                      <div class="portlet-title">
                          <div class="caption">
                              <i class=" icon-layers font-red"></i>
                              <span class="caption-subject font-red bold uppercase"> Create Post Wizard -
                                  <span class="step-title"> Step 1 of 3 </span>
                              </span>
                          </div>
                          <div class="actions">

                          </div>
                      </div>
                      <div class="portlet-body form">
                          <div class="form-horizontal">
                              <div class="form-wizard">
                                  <div class="form-body">
                                      <ul class="nav nav-pills nav-justified steps">
                                          <li class="done">
                                              <a  class="step" (click)="OnMenuClick($event)" >
                                                  <span class="number"> 1 </span>
                                                  <span class="desc">
                                                      <i class="fa fa-check"></i> Post Content </span>
                                              </a>
                                          </li>
                                          <li class="active">
                                              <a  class="step" (click)="OnMenuClick($event)">
                                                  <span class="number"> 2 </span>
                                                  <span class="desc">
                                                      <i class="fa fa-check"></i> Upload Images </span>
                                              </a>
                                          </li>
                                          <li>
                                              <a class="step" (click)="OnMenuClick($event)">
                                                  <span class="number"> 3 </span>
                                                  <span class="desc">
                                                      <i class="fa fa-check"></i> Preview & Publish </span>
                                              </a>
                                          </li>
                                      </ul>
                                      <div id="bar" class="progress progress-striped" role="progressbar">
                                          <div class="progress-bar progress-bar-success" style="width:25%"> </div>
                                      </div>
                                      <div class="tab-content">
                                          <div class="alert alert-danger display-none">
                                              <button class="close" data-dismiss="alert"></button> You have some form errors. Please check below. </div>
                                          <div class="alert alert-success display-none">
                                              <button class="close" data-dismiss="alert"></button> Your form validation is successful! </div>
                                          <div class="tab-pane active" id="tab1">
                                              <div class="form-group">
                                                  <div class="col-md-12">
                                                      <label class=" control-label">Post Content:
                                                          <span class="required"> * </span>
                                                      </label>
                                                      <textarea class="form-control maxlength-handler" rows="12" name="content" maxlength="1000"
                                                      [(ngModel)] = "this.postConent"></textarea>
                                                      <span class="help-block"> max 1000 chars </span>
                                                  </div>
                                              </div>


                                          </div>
                                          <div class="tab-pane" id="tab2">
                                                  <div class="alert alert-success margin-bottom-10 hide">
                                                  <button type="button" class="close" data-dismiss="alert" aria-hidden="true"></button>
                                                  <i class="fa fa-warning fa-lg"></i> Image type and information need to be specified. </div>

                                                  <div id="tab_images_uploader_container" class="text-align-reverse margin-bottom-10" style="position: relative;">
                                                          <a id="tab_images_uploader_pickfiles" href="javascript:;" class="btn btn-success" style="position: relative; z-index: 1;" (click)="OnSelectFiles()">
                                                              <i class="fa fa-plus"></i> Select Files </a>
                                                          <a id="tab_images_uploader_uploadfiles" href="javascript:;" class="btn btn-primary hide" (click)="OnUploadFiles()">
                                                              <i class="fa fa-share"></i> Upload Files </a>
                                                  </div>

                                                  <div class="m-heading-1 border-green m-bordered hide">
                                                      <p>
                                                          <span class="label label-danger">NOTE:</span> &nbsp; This plugins works only on Latest Chrome, Firefox, Safari, Opera & Internet Explorer 10. </p>
                                                  </div>
                                                  <div class="dropzone dropzone-file-area" id="my-dropzone" style="width: auto; margin-top: 50px;" dropzone
                                                  (hovered)="toggleHover($event)" (dropped)="onDrop($event)" [class.hovering]="isHovering">
                                                      <h3 class="sbold"  style="cursor:move;">Drop files here or click to upload</h3>
                                                      <p style="cursor:move;"> Drag and Drop a File. </p>
                                                      <label class="file-label">
                                                          <input type="file" name="files[]" multiple="" (change)="startDisplay($event.target.files)" style="display:none;">
                                                          <span class="file-cta" #cta>
                                                              <span class="file-icon" style="cursor:pointer;"><i class="fa fa-upload"></i></span><span class="file-label" style="cursor:pointer;">or choose a file…</span>
                                                          </span>
                                                      </label>

                                                      <div class="dropzone" style="border: 0px" #dz>
                                                          <displayimg [file]="file" *ngFor="let file of files"></displayimg>
                                                      </div>

                                                   </div>
                                          </div>
                                          <div class="tab-pane" id="tab3">

                                              <h4 class="form-section">Preview</h4>
                                              <div class="tab-pane">
                                                  <div class="col-md-12">
                                                      <p class="form-control-static" data-display="username"> {{ this.postConent }}</p>
                                                      <br><br>
                                                  </div>

                                                      <div class="container-fluid">
                                                        <div class="row">
                                                          <div class="col col-sm-8">
                                                              <div id="carouselExampleControls" class="carousel slide" data-ride="carousel">
                                                                  <div class="carousel-inner">
                                                                        <div class="carousel-item" *ngFor="let file of files let i = index" [ngClass]="{'active' : i == 0}">
                                                                                <previewslide [file]="file"></previewslide>
                                                                        </div>
                                                                  </div>
                                                                  <a class="carousel-control-prev" href="#carouselExampleControls" role="button" data-slide="prev">
                                                                    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                                                                    <span class="sr-only">Previous</span>
                                                                  </a>
                                                                  <a class="carousel-control-next" href="#carouselExampleControls" role="button" data-slide="next">
                                                                    <span class="carousel-control-next-icon" aria-hidden="true"></span>
                                                                    <span class="sr-only">Next</span>
                                                                  </a>
                                                                </div>

                                               <!--          <div class="col col-sm-4">
                                                            <div class="row">
                                                            <div class="col-sm-1">  <img src="../assets/img/profile.jpg" alt="" class="profile-img"></div>
                                                            <div class="col-sm-11"><a href="javascript:;" class="profile-name">Sreenivas Sreenivas</a><br>
                                                            <span class="display-bl text-gray" class="profile-date">October 05, 2009</span>
                                                            </div>
                                                            <div class="col-md-12" [innerHtml]="imgdesc">

                                                            </div>
                                                            </div>
                                                            <hr>
                                                            <div class="post-footer-option">
                                                                 <ul class="list-unstyled">
                                                                     <li class="col-md-4"><button class="btn blue btn-block btn-outline " style="border-color: #ffffff;"><i class="icon-like"></i> Like</button></li>
                                                                     <li class="col-md-4"><button class="btn blue btn-block btn-outline " style="border-color: #ffffff;"><i class="icon-bubbles"></i> Comment</button></li>
                                                                     <li class="col-md-4"><button class="btn blue btn-block btn-outline " style="border-color: #ffffff;"><i class="icon-share"></i> Share</button></li>
                                                                 </ul>
                                                            </div>
                                                            <div class="row">
                                                                <div class="blog-comments" style="height:300px;overflow-y: auto;">
                                                                    <h3 class="sbold blog-comments-title">Comments(30)</h3>
                                                                    <div class="c-comment-list">
                                                                        <div class="media">
                                                                            <div class="media-left">
                                                                                <a href="#">
                                                                                    <img class="media-object" alt="" src="../assets/pages/img/avatars/team1.jpg"> </a>
                                                                            </div>
                                                                            <div class="media-body">
                                                                                <h4 class="media-heading">
                                                                                    <a href="#">Hari</a> on
                                                                                    <span class="c-date">23 May 2015, 10:40AM</span>
                                                                                </h4> We also noticed some members engaged in personal attacks, abusive & unprofessional language, vituperative arguments and disrespecting other members as well as CEG and AU administration. </div>
                                                                        </div>
                                                                        <div class="media">
                                                                            <div class="media-left">
                                                                                <a href="#">
                                                                                    <img class="media-object" alt="" src="../assets/pages/img/avatars/team3.jpg"> </a>
                                                                            </div>
                                                                            <div class="media-body">
                                                                                <h4 class="media-heading">
                                                                                    <a href="#">Strong Strong</a> on
                                                                                    <span class="c-date">21 May 2015, 11:40AM</span>
                                                                                </h4> Together along with all of your help, support, cooperation, we can and will continue to grow this forum and provide the free, unfettered platform for discussing and exchanging our views, experiences, learning etc respecting the guidelines - on all matters related to CEG.
                                                                                <div class="media">
                                                                                    <div class="media-left">
                                                                                        <a href="#">
                                                                                            <img class="media-object" alt="" src="../assets/pages/img/avatars/team4.jpg"> </a>
                                                                                    </div>
                                                                                    <div class="media-body">
                                                                                        <h4 class="media-heading">
                                                                                            <a href="#">Emma Stone</a> on
                                                                                            <span class="c-date">30 May 2015, 9:40PM</span>
                                                                                        </h4> Together along with all of your help, support, cooperation, we can and will continue to grow this forum and provide the free, unfettered platform for discussing and exchanging our views, experiences, learning etc respecting the guidelines - on all matters related to CEG. </div>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                        <div class="media">
                                                                            <div class="media-left">
                                                                                <a href="#">
                                                                                    <img class="media-object" alt="" src="../assets/pages/img/avatars/team7.jpg"> </a>
                                                                            </div>
                                                                            <div class="media-body">
                                                                                <h4 class="media-heading">
                                                                                    <a href="#">Nick Nilson</a> on
                                                                                    <span class="c-date">30 May 2015, 9:40PM</span>
                                                                                </h4> Together along with all of your help, support, cooperation, we can and will continue to grow this forum and provide the free, unfettered platform for discussing and exchanging our views, experiences, learning etc respecting the guidelines - on all matters related to CEG. </div>
                                                                        </div>
                                                                    </div>

                                                                </div>
                                                                <div style="margin-top: 20px;">
                                                                    <div class="form-group" style="margin-left: 0px;margin-right: 0px;">
                                                                        <textarea rows="2" name="message" placeholder="Write comment here ..." class="form-control c-square" disabled></textarea>
                                                                    </div>
                                                                    <div class="form-group" style="margin-left: 0px;margin-right: 0px;">
                                                                        <button type="submit" class="btn blue uppercase btn-md sbold btn-block" disabled>Submit</button>
                                                                    </div>
                                                                  </div>
                                                            </div>

                                                          </div>
                                                        </div>
                                                      </div>-->


                                                  </div>
                                              </div>
                                          </div>
                                      </div>
                                  </div>
                                  <div class="form-actions">
                                      <div class="row">
                                     
                                          <div class="col-md-offset-3 col-md-9">

                                              <a href="javascript:;" class="btn default button-previous" (click)="OnBack()">
                                                  <i class="fa fa-angle-left"></i> Back </a>
                                              <a href="javascript:;" class="btn btn-outline green button-next" (click)="OnContinue()"> Continue
                                                  <i class="fa fa-angle-right"></i>
                                              </a>
                                              <a href="javascript:;" class="btn green button-submit hide" (click)="OnUploadFiles()"> Publish
                                                  <i class="fa fa-check"></i>
                                              </a>
                                          </div>
                                      </div>
                                  </div>
                              </div>
                            </div>
                      </div>
                  </div>
              </div>
          </div>
        <!-- END PAGE BASE CONTENT -->
    </div>
    <!-- END CONTENT BODY -->
  </div>


